import { x as d, D as M, L as K, M as Z, R as nr, b as D, S as X, U as B } from "./index-241df96f.mjs";
import { f as xr, s as Ar } from "./index-241df96f.mjs";
import { g as j, r as ar, c as or } from "./index-51b0176e.mjs";
import { a as Ir, f as Lr } from "./index-51b0176e.mjs";
import "axios";
import "ant-design-vue";
import "file-saver";
const gr = {
  // 获取规则数据列表
  async getRules(t) {
    return await d.get(M.LIST, t);
  },
  // 添加数据规则
  async addRule(t) {
    return await d.post(M.ADD, t);
  },
  // 修改数据规则
  async updateRule(t, l) {
    return await d.put(M.UPDATE(t), l);
  },
  // 删除数据规则
  async deleteRule(t) {
    return await d.delete(M.DELETE(t));
  },
  // 获取规则详情
  async getRule(t) {
    return await d.get(M.GET(t));
  },
  // 获取支持的运算符列表
  async getSupportRelation() {
    return await d.get("/dataRule/supportRelation");
  }
};
var b = { exports: {} }, rr = { exports: {} };
(function() {
  var t = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/", l = {
    // Bit-wise rotation left
    rotl: function(_, g) {
      return _ << g | _ >>> 32 - g;
    },
    // Bit-wise rotation right
    rotr: function(_, g) {
      return _ << 32 - g | _ >>> g;
    },
    // Swap big-endian to little-endian and vice versa
    endian: function(_) {
      if (_.constructor == Number)
        return l.rotl(_, 8) & 16711935 | l.rotl(_, 24) & 4278255360;
      for (var g = 0; g < _.length; g++)
        _[g] = l.endian(_[g]);
      return _;
    },
    // Generate an array of any length of random bytes
    randomBytes: function(_) {
      for (var g = []; _ > 0; _--)
        g.push(Math.floor(Math.random() * 256));
      return g;
    },
    // Convert a byte array to big-endian 32-bit words
    bytesToWords: function(_) {
      for (var g = [], v = 0, R = 0; v < _.length; v++, R += 8)
        g[R >>> 5] |= _[v] << 24 - R % 32;
      return g;
    },
    // Convert big-endian 32-bit words to a byte array
    wordsToBytes: function(_) {
      for (var g = [], v = 0; v < _.length * 32; v += 8)
        g.push(_[v >>> 5] >>> 24 - v % 32 & 255);
      return g;
    },
    // Convert a byte array to a hex string
    bytesToHex: function(_) {
      for (var g = [], v = 0; v < _.length; v++)
        g.push((_[v] >>> 4).toString(16)), g.push((_[v] & 15).toString(16));
      return g.join("");
    },
    // Convert a hex string to a byte array
    hexToBytes: function(_) {
      for (var g = [], v = 0; v < _.length; v += 2)
        g.push(parseInt(_.substr(v, 2), 16));
      return g;
    },
    // Convert a byte array to a base-64 string
    bytesToBase64: function(_) {
      for (var g = [], v = 0; v < _.length; v += 3)
        for (var R = _[v] << 16 | _[v + 1] << 8 | _[v + 2], w = 0; w < 4; w++)
          v * 8 + w * 6 <= _.length * 8 ? g.push(t.charAt(R >>> 6 * (3 - w) & 63)) : g.push("=");
      return g.join("");
    },
    // Convert a base-64 string to a byte array
    base64ToBytes: function(_) {
      _ = _.replace(/[^A-Z0-9+\/]/ig, "");
      for (var g = [], v = 0, R = 0; v < _.length; R = ++v % 4)
        R != 0 && g.push((t.indexOf(_.charAt(v - 1)) & Math.pow(2, -2 * R + 8) - 1) << R * 2 | t.indexOf(_.charAt(v)) >>> 6 - R * 2);
      return g;
    }
  };
  rr.exports = l;
})();
var sr = rr.exports, Q = {
  // UTF-8 encoding
  utf8: {
    // Convert a string to a byte array
    stringToBytes: function(t) {
      return Q.bin.stringToBytes(unescape(encodeURIComponent(t)));
    },
    // Convert a byte array to a string
    bytesToString: function(t) {
      return decodeURIComponent(escape(Q.bin.bytesToString(t)));
    }
  },
  // Binary encoding
  bin: {
    // Convert a string to a byte array
    stringToBytes: function(t) {
      for (var l = [], _ = 0; _ < t.length; _++)
        l.push(t.charCodeAt(_) & 255);
      return l;
    },
    // Convert a byte array to a string
    bytesToString: function(t) {
      for (var l = [], _ = 0; _ < t.length; _++)
        l.push(String.fromCharCode(t[_]));
      return l.join("");
    }
  }
}, J = Q;
/*!
 * Determine if an object is a Buffer
 *
 * @author   Feross Aboukhadijeh <https://feross.org>
 * @license  MIT
 */
var ur = function(t) {
  return t != null && (tr(t) || ir(t) || !!t._isBuffer);
};
function tr(t) {
  return !!t.constructor && typeof t.constructor.isBuffer == "function" && t.constructor.isBuffer(t);
}
function ir(t) {
  return typeof t.readFloatLE == "function" && typeof t.slice == "function" && tr(t.slice(0, 0));
}
(function() {
  var t = sr, l = J.utf8, _ = ur, g = J.bin, v = function(R, w) {
    R.constructor == String ? w && w.encoding === "binary" ? R = g.stringToBytes(R) : R = l.stringToBytes(R) : _(R) ? R = Array.prototype.slice.call(R, 0) : !Array.isArray(R) && R.constructor !== Uint8Array && (R = R.toString());
    for (var s = t.bytesToWords(R), I = R.length * 8, r = 1732584193, a = -271733879, n = -1732584194, e = 271733878, o = 0; o < s.length; o++)
      s[o] = (s[o] << 8 | s[o] >>> 24) & 16711935 | (s[o] << 24 | s[o] >>> 8) & 4278255360;
    s[I >>> 5] |= 128 << I % 32, s[(I + 64 >>> 9 << 4) + 14] = I;
    for (var h = v._ff, p = v._gg, y = v._hh, E = v._ii, o = 0; o < s.length; o += 16) {
      var x = r, T = a, S = n, A = e;
      r = h(r, a, n, e, s[o + 0], 7, -680876936), e = h(e, r, a, n, s[o + 1], 12, -389564586), n = h(n, e, r, a, s[o + 2], 17, 606105819), a = h(a, n, e, r, s[o + 3], 22, -1044525330), r = h(r, a, n, e, s[o + 4], 7, -176418897), e = h(e, r, a, n, s[o + 5], 12, 1200080426), n = h(n, e, r, a, s[o + 6], 17, -1473231341), a = h(a, n, e, r, s[o + 7], 22, -45705983), r = h(r, a, n, e, s[o + 8], 7, 1770035416), e = h(e, r, a, n, s[o + 9], 12, -1958414417), n = h(n, e, r, a, s[o + 10], 17, -42063), a = h(a, n, e, r, s[o + 11], 22, -1990404162), r = h(r, a, n, e, s[o + 12], 7, 1804603682), e = h(e, r, a, n, s[o + 13], 12, -40341101), n = h(n, e, r, a, s[o + 14], 17, -1502002290), a = h(a, n, e, r, s[o + 15], 22, 1236535329), r = p(r, a, n, e, s[o + 1], 5, -165796510), e = p(e, r, a, n, s[o + 6], 9, -1069501632), n = p(n, e, r, a, s[o + 11], 14, 643717713), a = p(a, n, e, r, s[o + 0], 20, -373897302), r = p(r, a, n, e, s[o + 5], 5, -701558691), e = p(e, r, a, n, s[o + 10], 9, 38016083), n = p(n, e, r, a, s[o + 15], 14, -660478335), a = p(a, n, e, r, s[o + 4], 20, -405537848), r = p(r, a, n, e, s[o + 9], 5, 568446438), e = p(e, r, a, n, s[o + 14], 9, -1019803690), n = p(n, e, r, a, s[o + 3], 14, -187363961), a = p(a, n, e, r, s[o + 8], 20, 1163531501), r = p(r, a, n, e, s[o + 13], 5, -1444681467), e = p(e, r, a, n, s[o + 2], 9, -51403784), n = p(n, e, r, a, s[o + 7], 14, 1735328473), a = p(a, n, e, r, s[o + 12], 20, -1926607734), r = y(r, a, n, e, s[o + 5], 4, -378558), e = y(e, r, a, n, s[o + 8], 11, -2022574463), n = y(n, e, r, a, s[o + 11], 16, 1839030562), a = y(a, n, e, r, s[o + 14], 23, -35309556), r = y(r, a, n, e, s[o + 1], 4, -1530992060), e = y(e, r, a, n, s[o + 4], 11, 1272893353), n = y(n, e, r, a, s[o + 7], 16, -155497632), a = y(a, n, e, r, s[o + 10], 23, -1094730640), r = y(r, a, n, e, s[o + 13], 4, 681279174), e = y(e, r, a, n, s[o + 0], 11, -358537222), n = y(n, e, r, a, s[o + 3], 16, -722521979), a = y(a, n, e, r, s[o + 6], 23, 76029189), r = y(r, a, n, e, s[o + 9], 4, -640364487), e = y(e, r, a, n, s[o + 12], 11, -421815835), n = y(n, e, r, a, s[o + 15], 16, 530742520), a = y(a, n, e, r, s[o + 2], 23, -995338651), r = E(r, a, n, e, s[o + 0], 6, -198630844), e = E(e, r, a, n, s[o + 7], 10, 1126891415), n = E(n, e, r, a, s[o + 14], 15, -1416354905), a = E(a, n, e, r, s[o + 5], 21, -57434055), r = E(r, a, n, e, s[o + 12], 6, 1700485571), e = E(e, r, a, n, s[o + 3], 10, -1894986606), n = E(n, e, r, a, s[o + 10], 15, -1051523), a = E(a, n, e, r, s[o + 1], 21, -2054922799), r = E(r, a, n, e, s[o + 8], 6, 1873313359), e = E(e, r, a, n, s[o + 15], 10, -30611744), n = E(n, e, r, a, s[o + 6], 15, -1560198380), a = E(a, n, e, r, s[o + 13], 21, 1309151649), r = E(r, a, n, e, s[o + 4], 6, -145523070), e = E(e, r, a, n, s[o + 11], 10, -1120210379), n = E(n, e, r, a, s[o + 2], 15, 718787259), a = E(a, n, e, r, s[o + 9], 21, -343485551), r = r + x >>> 0, a = a + T >>> 0, n = n + S >>> 0, e = e + A >>> 0;
    }
    return t.endian([r, a, n, e]);
  };
  v._ff = function(R, w, s, I, r, a, n) {
    var e = R + (w & s | ~w & I) + (r >>> 0) + n;
    return (e << a | e >>> 32 - a) + w;
  }, v._gg = function(R, w, s, I, r, a, n) {
    var e = R + (w & I | s & ~I) + (r >>> 0) + n;
    return (e << a | e >>> 32 - a) + w;
  }, v._hh = function(R, w, s, I, r, a, n) {
    var e = R + (w ^ s ^ I) + (r >>> 0) + n;
    return (e << a | e >>> 32 - a) + w;
  }, v._ii = function(R, w, s, I, r, a, n) {
    var e = R + (s ^ (w | ~I)) + (r >>> 0) + n;
    return (e << a | e >>> 32 - a) + w;
  }, v._blocksize = 16, v._digestsize = 16, b.exports = function(R, w) {
    if (R == null)
      throw new Error("Illegal argument " + R);
    var s = t.wordsToBytes(v(R, w));
    return w && w.asBytes ? s : w && w.asString ? g.bytesToString(s) : t.bytesToHex(s);
  };
})();
var cr = b.exports;
const V = /* @__PURE__ */ j(cr), dr = {
  login(t, l) {
    return l = V(l), d.post(K.LOGIN, {
      username: t,
      password: l,
      grant_type: "password"
    });
  },
  // 手机号登录
  async loginPhone(t, l) {
    return l = V(l), await d.post(K.LOGIN, {
      phone: t,
      password: l,
      grant_type: "phone_password"
    });
  },
  // 注册
  async register(t, l, _, g, v) {
    const R = V(_).toString();
    return d.post(K.REGISTER, {
      username: t,
      nickname: l,
      password: R,
      phone: g,
      verifyCode: v
    });
  },
  // 修改个人密码
  async resetPassword(t, l, _) {
    const g = V(_).toString();
    return await d.post("user/reset", {
      phone: t,
      verifyCode: l,
      password: g
    });
  },
  async refreshToken() {
    const t = localStorage.getItem("refresh_token");
    return await d.post(K.LOGIN, {
      // scope: "all",
      grant_type: "refresh_token",
      refresh_token: t
    });
  },
  // // 修改个人密码
  // async changePassword(oldPassword, newPassword, confirmPassword) {
  //   const md5Pwd = md5(oldPassword).toString()
  //   const md5NewPwd = md5(newPassword).toString()
  //   const md5ConfirmPwd = md5(confirmPassword).toString()
  //   return await xHttp.put('user/modifyPassword', {
  //     oldPassword: md5Pwd,
  //     newPassword: md5NewPwd,
  //     confirmPassword: md5ConfirmPwd
  //   })
  // },
  // // 修改个人信息
  // async changeYourInformation(NickName, Phone) {
  //   return await xHttp.put('user/profile', {
  //     nickName: NickName,
  //     phone: Phone
  //   })
  // },
  // 获取个人信息
  async getUserInformation() {
    return await d.get("/user/current/info");
  }
  // // 退出登录
  // async logout() {
  //   return await xHttp.post(LOGIN_URL.LOGOUT)
  // }
}, Rr = {
  // 查询菜单树
  // TODO 后台接口问题，不传 {} 会报错
  async queryMenuTree() {
    return await d.get(Z.TREE_LIST, {});
  },
  // 添加新菜单
  async addMenu(t) {
    return await d.post(Z.ADD_MENU, t);
  },
  async deleteMenu(t) {
    return await d.delete(Z.DELETE_MENU(t));
  },
  async modifyMenu(t) {
    return await d.put(Z.UPDATE_MENU(t._id), t);
  }
}, hr = {
  // 查询资源列表
  async queryResourceList(t) {
    return await d.get(
      nr.RESOURCE_LIST,
      t
    );
  }
}, Er = {
  /**
   * 查询当前用户授权菜单树
   */
  async queryAuthorizeTreeMenus() {
    return await d.get(D.MENU_TREE_LIST);
  },
  /**
   * 根据条件进行分页查询角色列表
   */
  async queryAllRole(t = {}) {
    return await d.get(D.LIST, t);
  },
  // 新增角色
  async addRole(t) {
    return await d.post(D.ADD, t);
  },
  // 更新角色
  async modifyRole(t, l) {
    return await d.put(D.MODIFY(t), l);
  },
  // 删除角色
  async deleteRole(t) {
    return await d.delete(D.DELETE(t));
  },
  /**
   * 获取表单授权的角色信息
   * @param {*} formId 表单ID
   * @returns
   */
  async getRoleFormList(t) {
    return await d.get(D.ROLE_FORM_LIST(t));
  },
  /**
   * 向角色授权表单
   * @param {*} roleId 角色ID
   * @param {*} formId 表单ID
   * @returns
   */
  async bindForm(t, l) {
    return await d.post(D.BIND_FORM(t), l);
  },
  /**
   * 向角色取消表单授权
   * @param {*} roleId 角色ID
   * @param {*} formId 表单ID
   * @returns
   */
  async unbindForm(t, l) {
    return await d.post(D.UNBIND_FORM(t), l);
  },
  // 获取被选中的规则的所有id
  async getDataRules(t, l) {
    return await d.get(D.DATA_RULE_LIST(t), {
      rule_table: l
    });
  },
  // 授权规则
  async bindDataRule(t, l) {
    return await d.post(D.BIND_DATA_RULE(t), l);
  },
  // 取消规则授权
  async unbindDataRule(t, l) {
    return await d.post(D.UNBIND_DATA_RULE(t), l);
  },
  /**
   * 查询角色菜单列表(把子树平铺)
   * @param {string} roleId 角色id
   */
  async queryAuthorizeMenus(t) {
    return await d.get(D.MENU_LIST(t), {});
  },
  /**
   * 角色授权菜单
   * @param {string} roleId 角色id
   * @param {array} menuIds 菜单id数组
   */
  async authorizeMenu(t, l) {
    return await d.post(D.AUTHORIZE_MENU(t), l);
  },
  /**
   * 角色取消授权菜单
   * @param {string} roleId 角色id
   * @param {array} menuIds 资源id数组
   */
  async revokeMenu(t, l) {
    return await d.post(D.REVOKE_MENU(t), l);
  },
  /**
   * 角色授权资源(接口）
   * @param {string} roleId 角色id
   * @param {array} resourceIds 资源id数组
   */
  async authorizeResource(t, l) {
    return await d.post(
      D.AUTHORIZE_RESOURCE(t),
      l
    );
  },
  /**
   * 角色取消授权资源（接口）
   * @param {string} roleId 角色id
   * @param {array} resourceIds 资源id数组
   */
  async revokeResource(t, l) {
    return await d.post(D.REVOKE_RESOURCE(t), l);
  },
  // 授权资源查询(接口)
  async authResource(t, l) {
    return await d.get(
      D.AUTH_RESOURCE(t),
      l
    );
  }
}, Sr = {
  // 获取图片验证码
  async getImageCode() {
    return await d.get(X.IMAGE_CODE);
  },
  // 获取注册短信验证码
  async getRegisterSmsCode(t, l, _) {
    return await d.post(
      `${X.SMS_REGISTER}?phone=${t}&imgKey=${l}&imgCode=${_}`
    );
  },
  // 获取重置密码短信验证码
  async getResetPasswdSmsCode(t, l, _) {
    return await d.post(
      `${X.SMS_RESET}?phone=${t}&imgKey=${l}&imgCode=${_}`
    );
  }
};
var er = { exports: {} };
(function(t, l) {
  (function(_, g) {
    t.exports = g(ar());
  })(or, function(_) {
    return function(g) {
      var v = _, R = v.lib, w = R.WordArray, s = R.Hasher, I = v.algo, r = [];
      (function() {
        for (var p = 0; p < 64; p++)
          r[p] = g.abs(g.sin(p + 1)) * 4294967296 | 0;
      })();
      var a = I.MD5 = s.extend({
        _doReset: function() {
          this._hash = new w.init([
            1732584193,
            4023233417,
            2562383102,
            271733878
          ]);
        },
        _doProcessBlock: function(p, y) {
          for (var E = 0; E < 16; E++) {
            var x = y + E, T = p[x];
            p[x] = (T << 8 | T >>> 24) & 16711935 | (T << 24 | T >>> 8) & 4278255360;
          }
          var S = this._hash.words, A = p[y + 0], U = p[y + 1], L = p[y + 2], F = p[y + 3], m = p[y + 4], O = p[y + 5], C = p[y + 6], N = p[y + 7], H = p[y + 8], G = p[y + 9], $ = p[y + 10], q = p[y + 11], k = p[y + 12], z = p[y + 13], P = p[y + 14], W = p[y + 15], u = S[0], i = S[1], c = S[2], f = S[3];
          u = n(u, i, c, f, A, 7, r[0]), f = n(f, u, i, c, U, 12, r[1]), c = n(c, f, u, i, L, 17, r[2]), i = n(i, c, f, u, F, 22, r[3]), u = n(u, i, c, f, m, 7, r[4]), f = n(f, u, i, c, O, 12, r[5]), c = n(c, f, u, i, C, 17, r[6]), i = n(i, c, f, u, N, 22, r[7]), u = n(u, i, c, f, H, 7, r[8]), f = n(f, u, i, c, G, 12, r[9]), c = n(c, f, u, i, $, 17, r[10]), i = n(i, c, f, u, q, 22, r[11]), u = n(u, i, c, f, k, 7, r[12]), f = n(f, u, i, c, z, 12, r[13]), c = n(c, f, u, i, P, 17, r[14]), i = n(i, c, f, u, W, 22, r[15]), u = e(u, i, c, f, U, 5, r[16]), f = e(f, u, i, c, C, 9, r[17]), c = e(c, f, u, i, q, 14, r[18]), i = e(i, c, f, u, A, 20, r[19]), u = e(u, i, c, f, O, 5, r[20]), f = e(f, u, i, c, $, 9, r[21]), c = e(c, f, u, i, W, 14, r[22]), i = e(i, c, f, u, m, 20, r[23]), u = e(u, i, c, f, G, 5, r[24]), f = e(f, u, i, c, P, 9, r[25]), c = e(c, f, u, i, F, 14, r[26]), i = e(i, c, f, u, H, 20, r[27]), u = e(u, i, c, f, z, 5, r[28]), f = e(f, u, i, c, L, 9, r[29]), c = e(c, f, u, i, N, 14, r[30]), i = e(i, c, f, u, k, 20, r[31]), u = o(u, i, c, f, O, 4, r[32]), f = o(f, u, i, c, H, 11, r[33]), c = o(c, f, u, i, q, 16, r[34]), i = o(i, c, f, u, P, 23, r[35]), u = o(u, i, c, f, U, 4, r[36]), f = o(f, u, i, c, m, 11, r[37]), c = o(c, f, u, i, N, 16, r[38]), i = o(i, c, f, u, $, 23, r[39]), u = o(u, i, c, f, z, 4, r[40]), f = o(f, u, i, c, A, 11, r[41]), c = o(c, f, u, i, F, 16, r[42]), i = o(i, c, f, u, C, 23, r[43]), u = o(u, i, c, f, G, 4, r[44]), f = o(f, u, i, c, k, 11, r[45]), c = o(c, f, u, i, W, 16, r[46]), i = o(i, c, f, u, L, 23, r[47]), u = h(u, i, c, f, A, 6, r[48]), f = h(f, u, i, c, N, 10, r[49]), c = h(c, f, u, i, P, 15, r[50]), i = h(i, c, f, u, O, 21, r[51]), u = h(u, i, c, f, k, 6, r[52]), f = h(f, u, i, c, F, 10, r[53]), c = h(c, f, u, i, $, 15, r[54]), i = h(i, c, f, u, U, 21, r[55]), u = h(u, i, c, f, H, 6, r[56]), f = h(f, u, i, c, W, 10, r[57]), c = h(c, f, u, i, C, 15, r[58]), i = h(i, c, f, u, z, 21, r[59]), u = h(u, i, c, f, m, 6, r[60]), f = h(f, u, i, c, q, 10, r[61]), c = h(c, f, u, i, L, 15, r[62]), i = h(i, c, f, u, G, 21, r[63]), S[0] = S[0] + u | 0, S[1] = S[1] + i | 0, S[2] = S[2] + c | 0, S[3] = S[3] + f | 0;
        },
        _doFinalize: function() {
          var p = this._data, y = p.words, E = this._nDataBytes * 8, x = p.sigBytes * 8;
          y[x >>> 5] |= 128 << 24 - x % 32;
          var T = g.floor(E / 4294967296), S = E;
          y[(x + 64 >>> 9 << 4) + 15] = (T << 8 | T >>> 24) & 16711935 | (T << 24 | T >>> 8) & 4278255360, y[(x + 64 >>> 9 << 4) + 14] = (S << 8 | S >>> 24) & 16711935 | (S << 24 | S >>> 8) & 4278255360, p.sigBytes = (y.length + 1) * 4, this._process();
          for (var A = this._hash, U = A.words, L = 0; L < 4; L++) {
            var F = U[L];
            U[L] = (F << 8 | F >>> 24) & 16711935 | (F << 24 | F >>> 8) & 4278255360;
          }
          return A;
        },
        clone: function() {
          var p = s.clone.call(this);
          return p._hash = this._hash.clone(), p;
        }
      });
      function n(p, y, E, x, T, S, A) {
        var U = p + (y & E | ~y & x) + T + A;
        return (U << S | U >>> 32 - S) + y;
      }
      function e(p, y, E, x, T, S, A) {
        var U = p + (y & x | E & ~x) + T + A;
        return (U << S | U >>> 32 - S) + y;
      }
      function o(p, y, E, x, T, S, A) {
        var U = p + (y ^ E ^ x) + T + A;
        return (U << S | U >>> 32 - S) + y;
      }
      function h(p, y, E, x, T, S, A) {
        var U = p + (E ^ (y | ~x)) + T + A;
        return (U << S | U >>> 32 - S) + y;
      }
      v.MD5 = s._createHelper(a), v.HmacMD5 = s._createHmacHelper(a);
    }(Math), _.MD5;
  });
})(er);
var fr = er.exports;
const Y = /* @__PURE__ */ j(fr), wr = {
  // 修改用户密码接口
  async userModifyPassword({ confirmPassword: t, newPassword: l, oldPassword: _ }) {
    return l = Y(l).toString(), _ = Y(_).toString(), t = Y(t).toString(), await d.post("user/modifyPassword", {
      confirmPassword: t,
      newPassword: l,
      oldPassword: _
    });
  },
  // 用户编号查询
  async queryUserInfo(t) {
    return await d.get(`user/${t}`);
  },
  async batchCreateUser({ code: t, roleId: l }) {
    return await d.post("organUser/batchCreate", { code: t, roles: [l] });
  },
  // !上面是旧的接口，需要删除
  /**
   * 根据条件进行分页查询用户列表
   */
  async queryUserList({
    page: t,
    backRole: l = !0,
    backOrganization: _ = !0,
    username: g,
    nickname: v,
    size: R
  }) {
    return d.get(B.LIST, {
      page: t,
      backRole: l,
      backOrganization: _,
      username: g,
      nickname: v,
      size: R
    });
  },
  async getUserList(t) {
    return await d.get(B.LIST, t);
  },
  // 保存用户接口
  async addUser(t) {
    return t.password = Y(t.password).toString(), await d.post(B.ADD_USER, t);
  },
  // 更新用户接口
  async updateUser(t) {
    return await d.put(B.MODIFY_USER(t._id), t);
  },
  // 批量停用用户账号接口
  async suspendUser(t) {
    return await d.post(B.SUSPEND_USER(t), {});
  },
  // 批量启用用户账号接口
  async resumeUser(t) {
    return await d.post(B.RESUME_USER(t), {});
  },
  // 批量重置用户密码接口
  async resetUserPasswords(t) {
    const { userIds: l } = t;
    if (l.length === 0)
      throw new Error("userIds不能为空");
    return await d.post(B.RESET_PASSWORD, t);
  },
  // 根据用户编号批量删除用户接口
  async deleteUser(t) {
    return await d.delete(B.DELETE_USER(t));
  }
};
export {
  d as Xhttp,
  gr as dataRuleApi,
  Ir as fileApi,
  xr as formDataApi,
  Lr as formDesignApi,
  dr as loginApi,
  Rr as menuApi,
  hr as resourceApi,
  Er as roleApi,
  Ar as service,
  Sr as smsApi,
  wr as userApi
};
